From cb53c7267f4c9124c6c8cde30b89d0eff6a5613b Mon Sep 17 00:00:00 2001
From: Maximilian Goblirsch-Kolb <goblirsc@cern.ch>
Date: Fri, 6 Nov 2020 16:17:24 +0100
Subject: [PATCH] add a test for the standalone IDPVM config

---
 .../InDetPhysValMonitoring/CMakeLists.txt      |  6 ++++++
 .../test/IDPVM_standalone_test.sh              | 18 ++++++++++++++++++
 2 files changed, 24 insertions(+)
 create mode 100755 InnerDetector/InDetValidation/InDetPhysValMonitoring/test/IDPVM_standalone_test.sh

diff --git a/InnerDetector/InDetValidation/InDetPhysValMonitoring/CMakeLists.txt b/InnerDetector/InDetValidation/InDetPhysValMonitoring/CMakeLists.txt
index 9c1f3618f2c..6b4cd993164 100644
--- a/InnerDetector/InDetValidation/InDetPhysValMonitoring/CMakeLists.txt
+++ b/InnerDetector/InDetValidation/InDetPhysValMonitoring/CMakeLists.txt
@@ -121,3 +121,9 @@ atlas_add_test( InDetPlotBase_test
 )
 
 
+atlas_add_test( StandaloneRun_test 
+                SCRIPT test/IDPVM_standalone_test.sh 
+                POST_EXEC_SCRIPT "nopost.sh"                
+)
+
+
diff --git a/InnerDetector/InDetValidation/InDetPhysValMonitoring/test/IDPVM_standalone_test.sh b/InnerDetector/InDetValidation/InDetPhysValMonitoring/test/IDPVM_standalone_test.sh
new file mode 100755
index 00000000000..f573a329a13
--- /dev/null
+++ b/InnerDetector/InDetValidation/InDetPhysValMonitoring/test/IDPVM_standalone_test.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+##################################################
+# This is a simple test for running the 
+# standalone job options of the InDetPhysValMonitoring 
+# package. Will not attempt to compare the outputs, 
+# but only test for a successful run of athena. 
+################################################### 
+
+# Use a random AOD on CVMFS as input - we do not really care about the results, 
+# the intention of the test is to ensure that the athena configuration
+# for our setup is not broken 
+TestFile="/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/Tier0ChainTests/q221/22.0/v1/myAOD.pool.root"
+
+# Run the standalone valdiation options, with additional plots enabled to ensure we also test the command line arg mechanism
+athena --filesInput ${TestFile} InDetPhysValMonitoring/InDetPhysValMonitoring_topOptions.py - --doExpertPlots
+
+exit $?
\ No newline at end of file
-- 
GitLab